Bug 1303593 - [USS]: If .snaps already exists, ls -la lists it even after enabling USS
Summary: [USS]: If .snaps already exists, ls -la lists it even after enabling USS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.1.3
Assignee: Manikandan
QA Contact: Anil Shah
URL:
Whiteboard: USS
Depends On: 1159283 1170502 1303595
Blocks: 1153907 1299184 1303828 1306163
TreeView+ depends on / blocked
 
Reported: 2016-02-01 11:51 UTC by Vijaikumar Mallikarjuna
Modified: 2016-09-17 12:55 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1170502
: 1303828 (view as bug list)
Environment:
Last Closed: 2016-06-23 05:06:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1240 0 normal SHIPPED_LIVE Red Hat Gluster Storage 3.1 Update 3 2016-06-23 08:51:28 UTC

Comment 2 Vijaikumar Mallikarjuna 2016-02-02 07:07:52 UTC
Patch submitted upstream: http://review.gluster.org/#/c/13330/

Comment 4 Avra Sengupta 2016-03-10 09:43:00 UTC
Master URL: http://review.gluster.org/#/c/13330/ (MERGED)
Release 3.7 URL: http://review.gluster.org/#/c/13419/ (MERGED)

Comment 6 Anil Shah 2016-03-30 08:44:17 UTC
Not seeing user created .snaps directory after enabling USS.

[root@dhcp46-4 ~]# gluster v info
 
Volume Name: testvol
Type: Distributed-Replicate
Volume ID: 60769503-f742-458d-97c0-8e090147f82a
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.46.4:/rhs/brick1/b1
Brick2: 10.70.47.46:/rhs/brick2/b2
Brick3: 10.70.46.213:/rhs/brick3/b3
Brick4: 10.70.46.148:/rhs/brick4/b4
Options Reconfigured:
features.barrier: disable
features.uss: disable
performance.readdir-ahead: on
snap-activate-on-create: enable

Client Output
Before enabling USS
[root@dhcp46-47 fuse]# mkdir test/.snaps
[root@dhcp46-47 fuse]# ls -ltrh test/
total 0
[root@dhcp46-47 fuse]# ls -ltrha test/
total 0
drwxr-xr-x. 5 root root 141 Mar 30 18:19 ..
drwxr-xr-x. 2 root root  12 Mar 30 18:20 .snaps
drwxr-xr-x. 3 root root  38 Mar 30 18:27 .



After enabling USS
======================================

[root@dhcp46-4 ~]# gluster v info
 
Volume Name: testvol
Type: Distributed-Replicate
Volume ID: 60769503-f742-458d-97c0-8e090147f82a
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.46.4:/rhs/brick1/b1
Brick2: 10.70.47.46:/rhs/brick2/b2
Brick3: 10.70.46.213:/rhs/brick3/b3
Brick4: 10.70.46.148:/rhs/brick4/b4
Options Reconfigured:
features.barrier: disable
features.uss: enable
performance.readdir-ahead: on
snap-activate-on-create: enable

client Output afte USS enabled
==================================
[root@dhcp46-47 fuse]# ls -ltrha test/
total 0
drwxr-xr-x. 5 root root 141 Mar 30 18:19 ..
drwxr-xr-x. 3 root root  38 Mar 30 18:27 .

Bug verified on build glusterfs-3.7.9-1.el7rhgs.x86_64

Comment 10 errata-xmlrpc 2016-06-23 05:06:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1240


Note You need to log in before you can comment on or make changes to this bug.